import Dexie from 'dexie';

export class MsnDatabase extends Dexie {
    entries!: Dexie.Table<BackupEntry, string>; // number = type of the primkey
    //...other tables goes here...

    constructor() {
        super("MsnDatabase");
        this.version(1).stores({
            entries: '&filename, backupData',
        });
    }
}

export interface BackupEntry {
    filename: string,
    backupData: string
}

export const db = new MsnDatabase();
